#include "snake.h"

/* external functions */
void print_delay (void);
void make_menu (void);
void make_scores (void);

/* public functions */
int init_graphics (void);

/* private functions */
static int init_screen (void);

int init_graphics ()
{

	/* init screen */
	if ( ! init_screen() ) return 0;

	/* make arena window */
	arenawin = newwin(0,0,0,0);
	wborder(arenawin, '|', '|', '-', '-', '*', '*', '*', '*');

	/* print delay string */
	print_delay();

	/* make menu window */
	make_menu();

	/* make the score window */
	make_scores();

	return 1;

}


/* initialize the screen  */
static int init_screen ()
{
	/* initialize the COLS and LINES vars */
	initscr();

	/* make cursor invisible */
	if ( curs_set(0) == ERR ) return 0;	

	/* don't echo input characthers */
	if ( noecho() == ERR ) return 0;

	/* make each carachter break input reads */
	if ( cbreak() == ERR ) return 0;			

	/* make getch() be a non-blocking call  */
	if ( nodelay(stdscr, TRUE) == ERR ) return 0;

	/* redraw completely on refresh */
	clearok(stdscr, TRUE);

	/* success */
	return 1;
}



